## libreoffice-l10n 3.3.3

=== source/tools/genren/Makefile ===
#******************************************************************************
#
#   Copyright (C) 2002-2008, International Business Machines
#   Corporation and others.  All Rights Reserved.
#
#******************************************************************************

TOP=../..
srcdir = .
top_srcdir = $(TOP)

top_builddir = $(TOP)

-include $(TOP)/icudefs.mk
ICUDIR=ICUunrenamed
#SO=so

COM=$(ICUDIR)/lib/libicuuc.$(SO)
I18=$(ICUDIR)/lib/libicui18n.$(SO)
LAY=$(ICUDIR)/lib/libicule.$(SO)
LEX=$(ICUDIR)/lib/libiculx.$(SO)
DAT=$(ICUDIR)/stubdata/libicudata.$(SO)
UIO=$(ICUDIR)/lib/libicuio.$(SO)

LIBS=$(COM) $(I18) $(LAY) $(LEX) $(UIO)

# Extra flags to prevent internal API from being hidden.
# This is important because ELF (Linux) based platforms that don't hide internal
# API will allow a duplicate internal name to resolve to an external library.
# See the gcc manual on the "visibility" attribute for details.
FLAG_OVERRIDE= LIBCFLAGS= LIBCXXFLAGS= $(EXTRA_MAKE_OPTIONS)

all:
	@cat README

clean:
	-rm -rf $(ICUDIR) urename.* *~

# We use config.status to mean we have a valid out of source tree.

$(ICUDIR)/config.status:
	-mv $(ICUDIR) $(ICUDIR)old
	-(rm -rf $(ICUDIR)old &)
	mkdir $(ICUDIR)
	( cd $(ICUDIR) ; CPPFLAGS=-DURENAME_H $(TOP)/../configure --with-data-packaging=archive --enable-tests=no --prefix=`pwd` $(GENREN_CONFIGURE_OPTS) )
    # cause lib and bin to be created, and any other general sanity
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR) clean
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR) all-local

# build the libraries
$(DAT): $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/stubdata  all-local

$(COM): $(DAT) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/common all-local

$(I18): $(DAT) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/i18n all-local

$(LAY): $(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/layout all-local

$(LEX): $(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/layoutex all-local

$(UIO):	$(DAT) $(I18) $(COM) $(ICUDIR)/config.status Makefile
	$(MAKE) $(FLAG_OVERRIDE) -C $(ICUDIR)/io all-local

# the header itself
urename.h: $(LIBS) genren.pl
	-cp urename.h urename.h.old
	perl ./genren.pl $(GENREN_PL_OPTS) $(LIBS)

sorts:	urename.sort urename.old.sort
	@echo "*** Please check urename.h manually before committing it."
	@echo "Try 'diff --side-by-side urename.old.sort urename.sort'"

urename.sort: urename.h
	sort urename.h > $@

urename.old.sort: $(TOP)/common/unicode/urename.h
	sort  $(TOP)/common/unicode/urename.h > $@

install-header: urename.h sorts
	cp $(TOP)/common/unicode/urename.h $(TOP)/common/unicode/urename.h.old
	cp urename.h $(TOP)/common/unicode/

-include Makefile.local

## libreoffice-l10n 3.3.2

=== debian/changelog ===
libreoffice-l10n (1:3.3.2-1ubuntu3) natty; urgency=low

  * merged all changes from ubuntu-natty-3.3.1 up to 3.3.2-1ubuntu3

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 18 Apr 2011 11:55:37 +0200

libreoffice (1:3.3.2-1ubuntu3) natty; urgency=low

  * make build dep on xulrunner-dev alternatively depend on firefox-dep (LP: #740815)
  * cherry-pick from debian:
     - enable is (icelandic) l10n (LP: #751746)
  * add unity quicklist support (LP: #720716)
  * workaround for unity icon issue (LP: #732412)
  * regenerated control file and refresh patch queue

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 15 Apr 2011 10:01:19 +0200

libreoffice-l10n (1:3.3.2-1ubuntu2) natty; urgency=low

  * merged all changes from ubuntu-natty-3.3.1 up to 3.3.2-1ubuntu2

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 24 Mar 2011 18:01:29 +0100

libreoffice (1:3.3.2-1ubuntu2) natty; urgency=low

  * fix jpeg lib location

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 24 Mar 2011 17:59:05 +0100

libreoffice-l10n (1:3.3.2-1ubuntu1) natty; urgency=low

  * merged all changes from ubuntu-natty-3.3.1 up to 3.3.2-1ubuntu1
  * regenerated control file

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 24 Mar 2011 14:22:36 +0100

libreoffice (1:3.3.2-1ubuntu1) natty; urgency=low

  * merged all changes from debian up to dd32885a133cf3c9c0a1336f938169c6188a0469
  * reenabled/rewrote launchpad integration
  * updated patch queue
  * fix lo-desktop.pot (LP: #696549)
  * regenerated control file

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 24 Mar 2011 14:22:36 +0100

libreoffice (1:3.3.2~rc2-1) UNRELEASED; urgency=low

  * LibreOffice 3.3.2 final (identical to rc2)

  * debian/patches/update-debian-opt.diff: update debian-opt.diff:
    + don't hardcode -Os for m68k, mips, ARM
    + use dpkg-buildflags when available to honour noopt and to make support
      generic

  * debian/rules:
    - move dh_link before dh_python2 as dh_python2 gets confused by symlinks
      before dh_link fixed them up
    - don't add shell-lib-conffiles.sh to maintscripts anymore
    - remove lenny-backport support; lenny hasn't a dpkg-maintscript-helper
    - make base-files build-conflict also work after 6.0.1
    - build with system libtextcat now that that is patched
    - call dh_python2 with -ppython-uno to work around #619005
  * debian/libreoffice-common.p*.in:
    - remove hardcoded rm_conffile. use dpkg-maintscript-helper
    - move psprint.conf, sofficerc and soffice.sh (closes: #619113)
  * debian/shell-lib-conffiles.sh: remove
  * debian/control.in:
    - Standards-Version: 3.9.1 (no changes needed)
    - make conflicts on libtextcat-data versioned

 -- Rene Engelhard <rene@debian.org>  Tue, 22 Mar 2011 13:46:25 +0000

libreoffice (1:3.3.2~rc2-1) unstable; urgency=low

  * new upstream release candidate

  * debian/patches/arm-optimization.diff, debian/rules:
    - remove ARM fixes introduced in last revision again,
      better solution upstream

  * debian/control.mediawiki.in:
    - make -wiki-publisher depend on -java-common
  * debian/rules:
    - use dh_python2 (closes: #616871)
  * debian/control.in:
    - add replaces and (versioned) conflicts against mozilla-openoffice.org
      (closes: #618550)

  * merge from Ubuntu:
    - added ppc fixes (LP: #727118)

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Mar 2011 07:59:52 +0000

libreoffice-l10n (1:3.3.1-1ubuntu5) natty; urgency=low

  * merged all changes from libreoffice package up to 1:3.3.1-1ubuntu5
  * regenerate control file

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 08 Mar 2011 11:52:26 +0100

libreoffice (1:3.3.1-1ubuntu5) natty; urgency=low

  [ Matthias Klose ]
  * added ppc fixes (LP: #727118)

  [ Bjoern Michaelsen ]
  * completely disable the arm patch for natty (LP: #726529)
  * make libreoffice-gtk recommend either tango or human (LP: #726921)
  * added ppc fixes (LP: #727118)
  * enable lzma everywhere except armel, not the other way around
  * regenerate control file

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 08 Mar 2011 11:45:10 +0100

libreoffice (1:3.3.1-1ubuntu4) natty; urgency=low

  * reenable verbose build on ubuntu buildd (LP: #726333)
  * remove duplicate code in control file generation
  * selcting right arm target (LP: #725763)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 28 Feb 2011 09:57:28 +0100

libreoffice (1:3.3.1-1ubuntu3) natty; urgency=low

  * disabled smoketest completely on natty to get rid of dep on epm
  * regenerate control file with DISTREL=natty for updated deps

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 25 Feb 2011 12:43:55 +0100

libreoffice (1:3.3.1-1ubuntu2) natty; urgency=low

  * regenerate control file with ON_BUILDD=y for updated deps

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 25 Feb 2011 11:09:46 +0100

libreoffice (1:3.3.1-1ubuntu1) natty; urgency=low

  * merge remaining changes from debian up to 3.3.1-1
  * make libreoffice-style-human the default style
  * regenerate control file

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 24 Feb 2011 12:11:55 +0100

libreoffice (1:3.3.1~rc2-1ubuntu2) natty; urgency=low

  * regenerate control file for natty (fixes missing libwpd libwpg libwps mythes dependencies)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Thu, 24 Feb 2011 01:22:03 +0100

libreoffice (1:3.3.1~rc2-1ubuntu1) natty; urgency=low

  * moving transitional packages from libreoffice to openoffice.org source
  * merging all rc2 debian changes
  * reenable armhf as it is lintian, who is behind the curve on this one
  * reenable human icons
  * ubuntu branded progressbar
  * regenerate control file
  * reduced diff to debian

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Wed, 23 Feb 2011 15:02:09 +0100

libreoffice (1:3.3.1~rc1-2ubuntu1~ppa1) natty; urgency=low



=== debian/control ===
Source: libreoffice-l10n
Section: editors
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: lsb-release, bzip2, bison, flex | flex-old, libxaw7-dev, unzip, zip, autoconf, automake, sharutils, pkg-config, libfontconfig1-dev, libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64], zlib1g-dev, libfreetype6-dev, libx11-dev, libsm-dev, libxt-dev, libxext-dev, libxtst-dev, libice-dev, libsane-dev, libxrender-dev, libcups2-dev, libarchive-zip-perl, libpng12-dev, libjpeg-dev, libxml2-dev, libexpat1-dev, fastjar, xsltproc, libxkbfile-dev, libxinerama-dev, x11proto-render-dev, unixodbc-dev (>= 2.2.11), libxml-parser-perl, gperf, libpq-dev, po-debconf, bc, wget | curl, g++ (>> 4.3.0) [s390], gcc (>> 4.3.0) [s390], dpkg-dev (>= 1.15.1), libgl1-mesa-dev [!armel !mips !mipsel], libglu1-mesa-dev [!armel !mips !mipsel], libpoppler-dev (>= 0.8.0), libgraphite-dev, libtextcat-dev (>= 2.2-8), libcurl4-gnutls-dev, libssl-dev, libdb-dev, python (>= 2.6.6-3+squeeze4), python-dev, debhelper (>= 7.2.3~), libcppunit-dev (>= 1.12), openjdk-6-jdk [alpha amd64 armel armhf i386 powerpc powerpcspe ppc64 s390 s390x sparc], gcj-native-helper [!powerpc !powerpcspe !ppc64], libgcj-common (>= 1:4.4.1) [!powerpc !powerpcspe !ppc64], ant (>= 1.7.0), ant-optional (>= 1.7.0), libcommons-codec-java, libcommons-httpclient-java, libcommons-lang-java, libcommons-logging-java, libservlet2.5-java, libbase-java-openoffice.org [!armel], libsac-java [!armel], libxml-java-openoffice.org [!armel], libflute-java-openoffice.org [!armel], libpentaho-reporting-flow-engine-java-openoffice.org [!armel], liblayout-java-openoffice.org [!armel], libloader-java-openoffice.org [!armel], libformula-java-openoffice.org [!armel], librepository-java-openoffice.org [!armel], libfonts-java-openoffice.org [!armel], libserializer-java-openoffice.org [!armel], libcommons-logging-java, libservlet2.5-java, xulrunner-dev | firefox-dev, libnss3-dev (>= 3.12.3), dmake (>= 1:4.11), mono-devel (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], libmono-dev (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], mono-utils (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], cli-common-dev (>= 0.5.7) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], libhunspell-dev (>= 1.1.5-2), libhyphen-dev (>= 2.4), libstlport4.6-dev (>= 4.6.2-3) [i386], libboost-dev (>= 1.38), libmdds-dev, libvigraimpex-dev, libwpd-dev (>= 0.9.0), libmythes-dev (>= 2:1.2), libwps-dev (>= 0.2.0), libwpg-dev (>= 0.2.0), libicu-dev (>= 4.0), libxslt1-dev, libcairo2-dev, kdelibs5-dev (>= 4:4.3.4), libqt4-dev (>= 4.5), libmysqlclient-dev, libmysqlcppconn-dev (>= 1.1.0~r791), libxrandr-dev, libhsqldb-java (>> 1.8.0.10), bsh (>= 2.0b4), liblpsolve55-dev (>= 5.5.0.13-5+b1), lp-solve (>= 5.5.0.13-5+b1), libsuitesparse-dev (>= 1:3.4.0), libdbus-glib-1-dev (>= 0.60), libgstreamer-plugins-base0.10-dev, libneon27-gnutls-dev, librdf0-dev (>= 1.0.8), libgtk2.0-dev (>= 2.10), libgnomevfs2-dev, libgconf2-dev, libldap2-dev
Build-Depends-Indep: fdupes, xml-core, imagemagick, fontforge
Build-Conflicts: libcairo2 (= 1.4.8-1), libxul-dev (= 1.8.0.13~pre070720-0etch1), gjdoc (= 0.7.8-2), libc6-dev (= 2.6.1-3) [i386 amd64], libc6-dev (= 2.6.1-4) [i386 amd64], nvidia-glx-dev, nvidia-glx-legacy-dev, libmono-dev (= 1.2.6+dfsg-1), libmono-dev (= 1.2.6+dfsg-2), libmono-dev (= 1.2.6+dfsg-3), libmono-dev (= 1.2.6+dfsg-4), libmono-dev (= 2.4+dfsg-2) [sparc], gcj-4.2 (= 4.2.2-6), flex (= 2.5.34-1) [amd64], libboost1.39-dev (<< 1.39.0-2), graphicsmagick-imagemagick-compat (<< 1.3.9~), ant (= 1.8.0-1) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], ant (= 1.8.0-2) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], ant (= 1.8.0-3) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], base-files (= 6.0), base-files (= 6.0squeeze1), libhsqldb-java (>= 1.8.1~)
Standards-Version: 3.9.1
XS-Python-Version: current
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
Vcs-Browser: http://git.debian.org/?p=pkg-openoffice/libreoffice.git;a=summary
Bugs: 
Homepage: http://www.libreoffice.org

Package: libreoffice-l10n-common
Architecture: all
Description: common files for LibreOffice language and help packages
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains common files for the OpenOffice.org language
 and help packages.

Package: libreoffice-l10n-af
Section: localization
Architecture: all
Depends: libreoffice-common (>= ${base-version}) | language-support-translations-af, libreoffice-common (<< 1:${next-basis-version}~) | language-support-translations-af, ${l10n-common-depends}, ${misc:Depends}
Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-af
Provides: libreoffice-l10n-${help-l10n-virtual-version}
Suggests: hunspell-dictionary-af | myspell-dictionary-af, hyphen-af, mythes-af, libreoffice-help-af
Description: office productivity suite -- Afrikaans language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Afrikaans. 
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages). 
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, libreoffice-hyphenation-*, libreoffice-thesaurus-*,
 libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-ar
Section: localization
Architecture: all
Depends: libreoffice-common (>= ${base-version}) | language-support-translations-ar, libreoffice-common (<< 1:${next-basis-version}~) | language-support-translations-ar, ${l10n-common-depends}, ${misc:Depends}
Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-ar, ttf-arabeyes
Provides: libreoffice-l10n-${help-l10n-virtual-version}
Suggests: hunspell-dictionary-ar | myspell-dictionary-ar, hyphen-ar, mythes-ar, libreoffice-help-ar
Description: office productivity suite -- Arabic language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Arabic. 
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages). 
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, libreoffice-hyphenation-*, libreoffice-thesaurus-*,
 libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-as
Section: localization
Architecture: all
Depends: libreoffice-common (>= ${base-version}) | language-support-translations-as, libreoffice-common (<< 1:${next-basis-version}~) | language-support-translations-as, ${l10n-common-depends}, ${misc:Depends}
Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-as
Provides: libreoffice-l10n-${help-l10n-virtual-version}
Suggests: hunspell-dictionary-as | myspell-dictionary-as, hyphen-as, mythes-as, libreoffice-help-as
Description: office productivity suite -- Assamese language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Assamese. 
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages). 
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, libreoffice-hyphenation-*, libreoffice-thesaurus-*,
 libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-ast
Section: localization
Architecture: all
Depends: libreoffice-common (>= ${base-version}) | language-support-translations-ast, libreoffice-common (<< 1:${next-basis-version}~) | language-support-translations-ast, ${l10n-common-depends}, ${misc:Depends}
Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-ast
Provides: libreoffice-l10n-${help-l10n-virtual-version}
Suggests: hunspell-dictionary-ast | myspell-dictionary-ast, hyphen-ast, mythes-ast, libreoffice-help-ast
Description: office productivity suite -- Asturian language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Asturian. 
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages). 
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, libreoffice-hyphenation-*, libreoffice-thesaurus-*,
 libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-be-by
Section: localization
Architecture: all
Depends: libreoffice-common (>= ${base-version}) | language-support-translations-be, libreoffice-common (<< 1:${next-basis-version}~) | language-support-translations-be, ${l10n-common-depends}, ${misc:Depends}
Recommends: libreoffice-core (>> ${base-version}) | language-support-translations-be
Provides: libreoffice-l10n-${help-l10n-virtual-version}
Suggests: hunspell-dictionary-be-by | myspell-dictionary-be-by, hyphen-be-by, mythes-be-by, libreoffice-help-be-by
Description: office productivity suite -- Belarussian language package
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package contains the localization of LibreOffice in
 Belarussian. 
 It contains the user interface, the templates and the autotext features.
 (please note that not all this is available for all possible languages). 
 You can switch user interface language using the locales system.
 .
 Spelling dictionaries, hyphenation patterns, thesauri and help are not
 included in this package. There are some available in separate packages
 (myspell-*, libreoffice-hyphenation-*, libreoffice-thesaurus-*,
 libreoffice-help-*)
 .
 If you just want to be able to spellcheck etc. in other languages, you can
 install extra dictionaries/hyphenation patterns/thesauri independently of
 the language packs.

Package: libreoffice-l10n-bg
Section: localization
Architecture: all
Depends: libreoffice-common (>= ${base-version}) | language-support-translations-bg, libreoffice-common (<< 1:${next-basis-version}~) | language-support-translations-bg, ${l10n-common-depends}, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2011 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
        sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
SOURCE_VERSION:=$(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
UPSTREAM_VERSION:=$(shell echo "$(SOURCE_VERSION)"| cut -d: -f2 | cut -d- -f1)
BASE_VERSION:=$(shell echo $(SOURCE_VERSION) | cut -d: -f1):$(UPSTREAM_VERSION)
BINARY_VERSION=$(SOURCE_VERSION)
#BINARY_VERSION=1:2.4.0-$(shell dpkg-parsechangelog  | grep urgency \
	| awk '{print $$2}' | sed -e s/"("// -e s/")"// | cut -d"-" -f2)
HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(UPSTREAM_VERSION) | cut -d: -f2 | tr [~] [\\-])
#HELP_L10N_VIRTUAL_VERSION:=3.3
#VER:=3
OOVER:=3.3
BASIS_VERSION:=$(OOVER)
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)
NEXT_BASIS_VERSION:=$(NEXT_OOVER)
NEXT_BASE_VERSION:=1:$(NEXT_OOVER)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -s)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

DPKG_VARS := $(shell dpkg-architecture)
OS := $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_OS)
ARCH := $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DIST := $(shell if [ -x /usr/bin/dpkg-vendor ]; then dpkg-vendor --query Vendor; else lsb_release -is; fi)
DISTREL := $(shell lsb_release -cs)
DEB_HOST_GNU_TYPE   ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')

# Debian buildds run as user `buildd', other are using /CurrentlyBuilding
ON_BUILDD := $(shell [ "`whoami`" = buildd -o -f /CurrentlyBuilding ] && echo y || echo n)
ON_BUILDD_VERBOSITY :=

PKGDIR:=debian/libreoffice$(VER)
OODIRNAME=libreoffice$(VER)
OOBRANDDIR:=usr/lib/$(OODIRNAME)
OOBASISDIR:=$(OOBRANDDIR)/basis$(BASIS_VERSION)
OOSDKDIR:=$(OOBASISDIR)/sdk
OOUREDIR:=usr/lib/ure
# compatability
OODIR:=$(OOBASISDIR)

# Figure out who's building this package.
OOO_VENDOR:=The Document Foundation/Debian
ifeq "$(DIST)" "Ubuntu"
OOO_VENDOR:=The Document Foundation, Debian and Ubuntu
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

# work around tcsh bugs.debian.org/339034: tcsh: Unknown colorls variable `su'
unexport LS_COLORS

MWS=OOO330
MILESTONE=m19
TAG=$(shell echo $(MWS) | tr A-Z a-z)-$(MILESTONE)
GIT_TAG=$(MWS)_$(MILESTONE)
OOO_BUILD_BRANCH=libreoffice-3-3-2
OOO_BUILD_VERSION=3.3.2.2
# in ooo-build releases the same as OOO_BUILD_VERSION
OOO_BUILD_TARBALL_VERSION=$(OOO_BUILD_VERSION)
OOO_BUILD_TAG=libreoffice-$(OOO_BUILD_TARBALL_VERSION)
OOO_BUILD_TREE=libreoffice-build
SOURCE_TREE=$(OOO_BUILD_TREE)/build/libreoffice-$(OOO_BUILD_TARBALL_VERSION)
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/ext-sources
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=y

ifeq "$(DISTREL)" "squeeze"
 SQUEEZE_BACKPORT=y
endif

#########
# Default package configuration
#
OOO_ARCHS = alpha amd64 armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc kfreebsd-amd64 kfreebsd-i386
PATCHSET=$(DIST)
BUILD_DEPS=

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

BUILD_PYUNO=y
PYTHON_HELPER=dh_python2
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python
export PYTHON=python
else
  PYTHON=python$(PYTHON_VERSION)
export PYTHON=python$(PYTHON_VERSION)
endif
PACKAGE_TTF_OPENSYMBOL=y
ifeq (,$(filter $(ARCH), powerpc powerpcspe ppc64))
  BUILD_JARS_NATIVE=y
endif
BUILD_BINFILTERS=y
BUILD_ONLY_EN_US=n
ENABLE_JAVA=y
ifeq "$(ENABLE_JAVA)" "y"
  JDK=openjdk
  ifneq (,$(filter hppa ia64 mips% kfreebsd%, $(ARCH)))
    JDK=gcj-jdk
  endif
endif
ENABLE_MONO=y
MONO2=y
ifeq "$(MONO2)" "y"
  MONO_MINVER= (>= 2.4.2.3)
else
  MONO_MINVER= (>= 1.2.3)
endif
SYSTEM_STUFF += hunspell
HUNSPELL_MIN_VER= (>= 1.1.5-2)
SYSTEM_STUFF += altlinuxhyph
USE_LIBHYPHEN=y
LIBALTLINUXHYPH_MINVER= (>= 0.1.1-11)
LIBHYPHEN_MINVER= (>= 2.4)
USE_AGG=n
# SYSTEM_STUFF += agg
USE_STLPORT=n
USE_SYSTEM_STLPORT=y
SYSTEM_STUFF += boost
BOOST_VERSION=default
ifeq "$(BOOST_VERSION)" "default"
  BOOST_MINVER= (>= 1.38)
endif
ifeq "$(BOOST_VERSION)" "1.39"
  BOOST_MINVER= (>= 1.39.0-2)
endif
SYSTEM_STUFF += mdds
SYSTEM_STUFF += vigra
USE_EXTERNAL_CXXLIBS=y
#SYSTEM_STUFF += sablot
SYSTEM_STUFF += libxslt
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
ICU_MINVER= (>= 4.0)
SYSTEM_STUFF += libwpd libwpg libwps
#SYSTEM_STUFF += xmlsec
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
CAIRO_FONTS_PATCH=y
BUILD_KDE=y
KDE_VER=4
ifeq "$(BUILD_KDE)" "y"
  ifeq "$(KDE_VER)" "3"
    ENABLE_KDEAB=y
  else
    ENABLE_KDEAB=n
  endif
endif
ifeq "$(KDE_VER)" "3"
  KDELIBS_MINVER= (>= 4:3.4.3-2)
endif
ifeq "$(KDE_VER)" "4"
  QT_MINVER= (>= 4.5)
  KDELIBS_MINVER= (>= 4:4.3.4)
endif  
BUILD_DBG_PACKAGE=y
SYSTEM_STUFF += beanshell
SYSTEM_STUFF += hsqldb
HSQLDB_MINVER= (>> 1.8.0.10)
HSQLDB_TOONEWVER=1.8.1
# disabled because system-saxon breaks all kinds exports using XSLT transforms
# (e.g. M$ Word/Excel 2003 XML, Mediawiki, XHTML, UOF, ...)
# It does *NOT* fail with _plain_ saxon 9.0.0.8 built with OOos build.xml
# for UOF, but still for e.g. M$.
#SYSTEM_STUFF += saxon
SYSTEM_STUFF += lucene
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
USE_DBUS=y
USE_GSTREAMER=y
SYSTEM_STUFF += neon
NEON_SECTYPE=gnutls
NEONSONR=27
SYSTEM_STUFF += redland
USE_OOO_BUILD_DESKTOPS=n
PACKAGE_SDK=y
ifeq "$(ENABLE_JAVA)" "y"
  ifeq "$(JDK)" "openjdk"
    RUN_SMOKETEST=y
    ifneq (,$(findstring $(ARCH),$(OOO_STLPORT_ARCHS)))
      RUN_SUBSEQUENT_TESTS=y
    else
      RUN_SUBSEQUENT_TESTS=n
    endif
  else
    ifneq ($(ON_BUILDD),y)
      RUN_SMOKETEST=n
      RUN_SUBSEQUENT_TESTS=n
    endif
  endif
else
  RUN_SMOKETEST=n
  RUN_SUBSQUENT_TESTS=n
endif
# "Unfortunately, running the unoapi tests is still not stable enough to give
# useful results. Therefore, running subsequenttests has been disabled in the
# build bots for now. Making the tests sufficiently stable is ongoing work. "
# (http://wiki.services.openoffice.org/wiki/Test_Cleanup)
ENABLE_JUNIT4=n
JUNIT_MIN_VER= (>= 4.8.2-2)
USE_LIBCURL4=y
CURL_SECTYPE=gnutls
USE_SYSTEM_DMAKE=y
USE_LIBSUITESPARSE=y
SUITESPARSE_MIN_VERSION= (>= 1:3.4.0)
PARALLEL_BUILD=n
MOZILLA=libxul
ENABLE_LDAP=y
USE_OPENLDAP=y
ENABLE_OPENGL=y
SYSTEM_STUFF += openssl
NEW_DPKG_SHLIBDEPS=y
ifeq "$(ENABLE_JAVA)" "y"
  ENABLE_REPORTDESIGN=y
  ENABLE_MEDIAWIKI=y
  SYSTEM_STUFF += jfreereport apache-commons
else
  ENABLE_REPORTDESIGN=n
  ENABLE_MEDIAWIKI=n
endif
ENABLE_SDBC_POSTGRESQL=y
ENABLE_MINIMIZER=y
ENABLE_PRESENTER_CONSOLE=y
ENABLE_PDFIMPORT=y
BUILD_GTK=y
ENABLE_EVO2=n
ENABLE_GVFS=y
ENABLE_GCONF=y
# broken!

## libreoffice-l10n 3.3.3

=== debian/changelog ===
libreoffice-l10n (1:3.3.3-1ubuntu1.2) natty-security; urgency=low

  * SECURITY UPDATE: fix integer overflows in graphic loading code
    - debian/patches/CVE-2012-1149.patch: adjust vcl/source/gdi/pngread.cxx to
      fail earlier on oversized images and properly verify chunks. Also adjust
      basebmp/source/bitmapdevice.cxx to to properly verify height and width.
      Properly verify width and height in
      svtools/source/filter.vcl/jpeg/jpeg.cxx
    - CVE-2012-1149
  * SECURITY UPDATE: fix integer overflow when processing Escher graphics
    records in PowerPoint documents
    - debian/patches/CVE-2012-2334.patch: properly verify record lengths in
      filter/source/msfilter/msdffimp.cxx and msdffimp.hxx
    - CVE-2012-2334

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 20 Jun 2012 16:58:25 -0500

libreoffice-l10n (1:3.3.3-1ubuntu1) natty-proposed; urgency=low

  * merged all changes up to 3.3.3-1ubuntu1
  * regenerate control

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 05 Jul 2011 11:26:41 +0200

libreoffice (1:3.3.3-1ubuntu1) natty; urgency=medium

  * merge from Debian:
    - debian/rules: make multiarch changes conditional and skip them
      for squeeze (Daniel Baumann)
    - rules: move evolocal.odb into -evolution proper
    - debian/libreoffice-filter-binfilter.links.in:
      actually create symlink for libbindet*so in registered-components
  * regenerate control file
  * update patch queue
  * remove lp709778.diff as it has been picked up as
    disable-optional-outplace-ole.diff by debian
  * remove desktop-templates.diff, those templates are unused
  * remove desktop-translations.diff, those templates are unused
  * remove fix-lo-desktop-pot.diff, those templates are unused
  * remove lp775608.diff, has been integrated upstream
  * update human icon theme to a 2011-06-24 checkout from master
  * update fixes for desktop file entries from ubuntu wiki (LP: #720716)
  * reenable sdbc_postgresql for natty even though it is broken,
    to prevent NBS in natty

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 24 Jun 2011 15:48:15 +0200

libreoffice (1:3.3.3-1) unstable; urgency=medium

  * new upstream release

  [ Rene Engelhard ]
  * debian/patches/disable-optional-outplace-ole.diff: as name says; makes
    toolbars work in e.g. Base edit forms (closes: #617319)

  * debian/rules:
    - disable -sdbc-postgresql until fixed (closes: #620100) 
    - stop moving vbaevents*.uno.so to -calc. Move libvbaswobj*uno.so
      to -writer
    - make -l10n-sw (if enabled) depend on locales (>= 2.13-5)
    - adapt GCJ_JAWT_DIR handling for new multiarch dirs and explicitly
      give -l to the libgcj_bc.so.1 multiarch dir to dh_shlibdeps...
  * debian/control.in:
    - build-conflict against libmdds-dev (>= 0.4.0)
  * debian/rules, debian/*lintian-overrides:
    fix/override (some) new Java related lintian warnings
  * debian/rules, debian/libreoffice-filter-binfilter*.in:
    oops, we forgot to do (de-)registering for libbindet*.so

  [ Björn Michaelsen ]
  * debian/patches/jurt-soffice-location.diff: add the fallback
    /usr/lib/libreoffice/program/soffice to jurts NativeLibraryLoader;
    we know where it is

 -- Rene Engelhard <rene@debian.org>  Tue, 14 Jun 2011 08:30:21 +0000

libreoffice (1:3.3.2-1ubuntu6~ppa1) natty; urgency=high

  * removing patch optional-outplace-ole.diff (LP: #709778)
  * this might cause a regression as per OpenOffice.org Bug 98970

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Sun, 29 May 2011 03:26:43 +0200

libreoffice (1:3.3.2-1ubuntu5) natty; urgency=high

  * hotfix for Libreoffice Calc's PRODUCT function doesn't calculate correctly (LP: #775608)
  * patch for gtk a11y crash on shutdown (LP: #746375)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Wed, 04 May 2011 11:58:43 +0200

libreoffice (1:3.3.2-4) unstable; urgency=low

  * debian/patches/gcc4.6.0.diff: fix build with gcc 4.6, imported from
    Fedora
  * debian/patches/odk-jni-include.diff: add hack to also include e.g.
    /usr/lib/gcc/x86_64-linux-gnu/4.6.1/include explicitely to work around gcj
    mismatches

  * debian/rules:
    - disable smoketest on sparc, flaky 

 -- Rene Engelhard <rene@debian.org>  Sun, 01 May 2011 09:09:08 +0000

libreoffice (1:3.3.2-1ubuntu4) natty; urgency=low

  * fix corrupted startcenter desktop file (LP: #765010)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 19 Apr 2011 17:51:11 +0200

libreoffice (1:3.3.2-3) unstable; urgency=low

  * debian/rules, debian/control.in:
    - readd recommends for libtextcat-data though libtextcat0 depends on it.
      Makes more clear what we need now (see #620568)
  * debian/rules:
     - run dpkg -s gcj-jdk on openjdk-using archs only when we build -gcj,
       as otherwise it's not installed on the buildds (and we end up with a
       eventually "wrong" gcc). 
     - restrict parallel=x to 2, at least 6 breaks, and don't experiment :)
     - don't reference -ctl-he anymore and fix CTLSequenceChecking setting 
       in ctl_he.xcd (closes: #622301)
     - enable is (icelandic) l10n
  * debian/control.in:
    - build-conflict against at3-dev-tools, it installs a moc-qt3 alternative
      for moc, which might hose the KDE VCLplug build - and configure insists
      on ../bin/moc relative to libQt.so (thus /usr/bin/moc) now
  * debian/control.gcj.in: move -gcj into Section: java 
  * debian/*.lintian-overrides*: update for new lintian 2.5.0 (s#/usr#usr#g)

 -- Rene Engelhard <rene@debian.org>  Sat, 16 Apr 2011 10:03:50 +0000

libreoffice (1:3.3.2-2) unstable; urgency=medium

  * debian/patches/fix-evolution-local.diff: backport from libreoffice-3-3
    branch

  * debian/rules:
    - really use internal libtextcat on squeeze (thanks dba) 
    - re-enable -evolution
    - hack around gcc vs. libgcj mismatch for jni.h, explicitly build against
      (and use) gcc x.y matching the gcj-x.y-jdk version
    - remove obsolete s390 and armel gcc builddeps


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libreoffice-l10n
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: lsb-release, bzip2, bison, flex | flex-old, libxaw7-dev, unzip, zip, autoconf, automake, sharutils, pkg-config, libfontconfig1-dev, libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64], zlib1g-dev, libfreetype6-dev, libx11-dev, libsm-dev, libxt-dev, libxext-dev, libxtst-dev, libice-dev, libsane-dev, libxrender-dev, libcups2-dev, libarchive-zip-perl, libpng12-dev, libjpeg-dev, libxml2-dev, libexpat1-dev, fastjar, xsltproc, libxkbfile-dev, libxinerama-dev, x11proto-render-dev, unixodbc-dev (>= 2.2.11), libxml-parser-perl, gperf, libpq-dev, po-debconf, bc, wget | curl, g++ (>> 4.3.0) [s390], gcc (>> 4.3.0) [s390], dpkg-dev (>= 1.15.1), libgl1-mesa-dev [!armel !mips !mipsel], libglu1-mesa-dev [!armel !mips !mipsel], libpoppler-dev (>= 0.8.0), libgraphite-dev, libtextcat-dev (>= 2.2-8), libcurl4-gnutls-dev, libssl-dev, libdb-dev, python (>= 2.6.6-3+squeeze4), python-dev, debhelper (>= 7.2.3~), libcppunit-dev (>= 1.12), openjdk-6-jdk [alpha amd64 armel armhf i386 powerpc powerpcspe ppc64 s390 s390x sparc], gcj-native-helper [!powerpc !powerpcspe !ppc64], libgcj-common (>= 1:4.4.1) [!powerpc !powerpcspe !ppc64], ant (>= 1.7.0), ant-optional (>= 1.7.0), libcommons-codec-java, libcommons-httpclient-java, libcommons-lang-java, libcommons-logging-java, libservlet2.5-java, libbase-java-openoffice.org [!armel], libsac-java [!armel], libxml-java-openoffice.org [!armel], libflute-java-openoffice.org [!armel], libpentaho-reporting-flow-engine-java-openoffice.org [!armel], liblayout-java-openoffice.org [!armel], libloader-java-openoffice.org [!armel], libformula-java-openoffice.org [!armel], librepository-java-openoffice.org [!armel], libfonts-java-openoffice.org [!armel], libserializer-java-openoffice.org [!armel], libcommons-logging-java, libservlet2.5-java, xulrunner-dev | firefox-dev, libnss3-dev (>= 3.12.3), dmake (>= 1:4.11), mono-devel (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], libmono-dev (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], mono-utils (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], cli-common-dev (>= 0.5.7) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], libhunspell-dev (>= 1.1.5-2), libhyphen-dev (>= 2.4), libstlport4.6-dev (>= 4.6.2-3) [i386], libboost-dev (>= 1.38), libmdds-dev, libvigraimpex-dev, libwpd-dev (>= 0.9.0), libmythes-dev (>= 2:1.2), libwps-dev (>= 0.2.0), libwpg-dev (>= 0.2.0), libicu-dev (>= 4.0), libxslt1-dev, libcairo2-dev, kdelibs5-dev (>= 4:4.3.4), libqt4-dev (>= 4.5), libmysqlclient-dev, libmysqlcppconn-dev (>= 1.1.0~r791), libxrandr-dev, libhsqldb-java (>> 1.8.0.10), bsh (>= 2.0b4), liblpsolve55-dev (>= 5.5.0.13-5+b1), lp-solve (>= 5.5.0.13-5+b1), libsuitesparse-dev (>= 1:3.4.0), libdbus-glib-1-dev (>= 0.60), libgstreamer-plugins-base0.10-dev, libneon27-gnutls-dev, librdf0-dev (>= 1.0.8), libgtk2.0-dev (>= 2.10), libgnomevfs2-dev, libgconf2-dev, libldap2-dev
+Build-Depends: lsb-release, bzip2, bison, flex | flex-old, libxaw7-dev, unzip, zip, autoconf, automake, sharutils, pkg-config, libfontconfig1-dev, libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64], zlib1g-dev, libfreetype6-dev, libx11-dev, libsm-dev, libxt-dev, libxext-dev, libxtst-dev, libice-dev, libsane-dev, libxrender-dev, libcups2-dev, libarchive-zip-perl, libpng12-dev, libjpeg-dev, libxml2-dev, libexpat1-dev, fastjar, xsltproc, libxkbfile-dev, libxinerama-dev, x11proto-render-dev, unixodbc-dev (>= 2.2.11), libxml-parser-perl, gperf, libpq-dev, po-debconf, bc, wget | curl, dpkg-dev (>= 1.15.1), libgl1-mesa-dev [!armel !mips !mipsel], libglu1-mesa-dev [!armel !mips !mipsel], libpoppler-dev (>= 0.8.0), libgraphite-dev, libtextcat-dev (>= 2.2-8), libcurl4-gnutls-dev, libssl-dev, libdb-dev, python (>= 2.6.6-3+squeeze4), python-dev, debhelper (>= 7.2.3~), libcppunit-dev (>= 1.12), openjdk-6-jdk [alpha amd64 armel armhf i386 powerpc powerpcspe ppc64 s390 s390x sparc], gcj-native-helper [!powerpc !powerpcspe !ppc64], libgcj-common (>= 1:4.4.1) [!powerpc !powerpcspe !ppc64], ant (>= 1.7.0), ant-optional (>= 1.7.0), libcommons-codec-java, libcommons-httpclient-java, libcommons-lang-java, libcommons-logging-java, libservlet2.5-java, libbase-java-openoffice.org [!armel], libsac-java [!armel], libxml-java-openoffice.org [!armel], libflute-java-openoffice.org [!armel], libpentaho-reporting-flow-engine-java-openoffice.org [!armel], liblayout-java-openoffice.org [!armel], libloader-java-openoffice.org [!armel], libformula-java-openoffice.org [!armel], librepository-java-openoffice.org [!armel], libfonts-java-openoffice.org [!armel], libserializer-java-openoffice.org [!armel], libcommons-logging-java, libservlet2.5-java, javahelper, xulrunner-dev | firefox-dev, libnss3-dev (>= 3.12.3), dmake (>= 1:4.11), mono-devel (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], libmono-dev (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], mono-utils (>= 2.4.2.3) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], cli-common-dev (>= 0.5.7) [amd64 i386 ia64 kfreebsd-amd64 kfreebsd-i386], libhunspell-dev (>= 1.1.5-2), libhyphen-dev (>= 2.4), libstlport4.6-dev (>= 4.6.2-3) [i386], libboost-dev (>= 1.38), libmdds-dev, libvigraimpex-dev, libwpd-dev (>= 0.9.0), libmythes-dev (>= 2:1.2), libwps-dev (>= 0.2.0), libwpg-dev (>= 0.2.0), libicu-dev (>= 4.0), libxslt1-dev, libcairo2-dev, kdelibs5-dev (>= 4:4.3.4), libqt4-dev (>= 4.5), libmysqlclient-dev, libmysqlcppconn-dev (>= 1.1.0~r791), libebook1.2-dev [!armel], libxrandr-dev, libhsqldb-java (>> 1.8.0.10), bsh (>= 2.0b4), liblpsolve55-dev (>= 5.5.0.13-5+b1), lp-solve (>= 5.5.0.13-5+b1), libsuitesparse-dev (>= 1:3.4.0), libdbus-glib-1-dev (>= 0.60), libgstreamer-plugins-base0.10-dev, libneon27-gnutls-dev, librdf0-dev (>= 1.0.8), libgtk2.0-dev (>= 2.10), libgnomevfs2-dev, libgconf2-dev, libldap2-dev
 Build-Depends-Indep: fdupes, xml-core, imagemagick, fontforge
-Build-Conflicts: libcairo2 (= 1.4.8-1), libxul-dev (= 1.8.0.13~pre070720-0etch1), gjdoc (= 0.7.8-2), libc6-dev (= 2.6.1-3) [i386 amd64], libc6-dev (= 2.6.1-4) [i386 amd64], nvidia-glx-dev, nvidia-glx-legacy-dev, libmono-dev (= 1.2.6+dfsg-1), libmono-dev (= 1.2.6+dfsg-2), libmono-dev (= 1.2.6+dfsg-3), libmono-dev (= 1.2.6+dfsg-4), libmono-dev (= 2.4+dfsg-2) [sparc], gcj-4.2 (= 4.2.2-6), flex (= 2.5.34-1) [amd64], libboost1.39-dev (<< 1.39.0-2), graphicsmagick-imagemagick-compat (<< 1.3.9~), ant (= 1.8.0-1) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], ant (= 1.8.0-2) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], ant (= 1.8.0-3) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], base-files (= 6.0), base-files (= 6.0squeeze1), libhsqldb-java (>= 1.8.1~)
+Build-Conflicts: libcairo2 (= 1.4.8-1), libxul-dev (= 1.8.0.13~pre070720-0etch1), gjdoc (= 0.7.8-2), libc6-dev (= 2.6.1-3) [i386 amd64], libc6-dev (= 2.6.1-4) [i386 amd64], nvidia-glx-dev, nvidia-glx-legacy-dev, libmono-dev (= 1.2.6+dfsg-1), libmono-dev (= 1.2.6+dfsg-2), libmono-dev (= 1.2.6+dfsg-3), libmono-dev (= 1.2.6+dfsg-4), libmono-dev (= 2.4+dfsg-2) [sparc], gcj-4.2 (= 4.2.2-6), flex (= 2.5.34-1) [amd64], libboost1.39-dev (<< 1.39.0-2), graphicsmagick-imagemagick-compat (<< 1.3.9~), qt3-dev-tools, ant (= 1.8.0-1) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], ant (= 1.8.0-2) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], ant (= 1.8.0-3) [hppa ia64 kfreebsd-i386 kfreebsd-amd64 mips mipsel], libmdds-dev (>= 0.4.0), base-files (= 6.0), base-files (= 6.0squeeze1), libhsqldb-java (>= 1.8.1~)
 Standards-Version: 3.9.1
 XS-Python-Version: current
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
@@ -156,4 +156,3 @@
 Package: libreoffice-l10n-bg
 Section: localization
 Architecture: all
-Depends: libreoffice-common (>= ${base-version}) | language-support-translations-bg, libreoffice-common (<< 1:${next-basis-version}~) | language-support-translations-bg, ${l10n-common-depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -83,8 +83,8 @@
 MILESTONE=m19
 TAG=$(shell echo $(MWS) | tr A-Z a-z)-$(MILESTONE)
 GIT_TAG=$(MWS)_$(MILESTONE)
-OOO_BUILD_BRANCH=libreoffice-3-3-2
-OOO_BUILD_VERSION=3.3.2.2
+OOO_BUILD_BRANCH=libreoffice-3-3-3
+OOO_BUILD_VERSION=3.3.3.1
 # in ooo-build releases the same as OOO_BUILD_VERSION
 OOO_BUILD_TARBALL_VERSION=$(OOO_BUILD_VERSION)
 OOO_BUILD_TAG=libreoffice-$(OOO_BUILD_TARBALL_VERSION)
@@ -176,21 +176,10 @@
 SYSTEM_STUFF += cairo
 CAIRO_FONTS_PATCH=y
 BUILD_KDE=y
-KDE_VER=4
-ifeq "$(BUILD_KDE)" "y"
-  ifeq "$(KDE_VER)" "3"
-    ENABLE_KDEAB=y
-  else
-    ENABLE_KDEAB=n
-  endif
-endif
-ifeq "$(KDE_VER)" "3"
-  KDELIBS_MINVER= (>= 4:3.4.3-2)
-endif
-ifeq "$(KDE_VER)" "4"
-  QT_MINVER= (>= 4.5)
-  KDELIBS_MINVER= (>= 4:4.3.4)
-endif  
+# not ported to KDE 4
+ENABLE_KDEAB=n
+QT_MINVER= (>= 4.5)
+KDELIBS_MINVER= (>= 4:4.3.4)
 BUILD_DBG_PACKAGE=y
 SYSTEM_STUFF += beanshell
 SYSTEM_STUFF += hsqldb
@@ -215,7 +204,11 @@
 PACKAGE_SDK=y
 ifeq "$(ENABLE_JAVA)" "y"
   ifeq "$(JDK)" "openjdk"
-    RUN_SMOKETEST=y
+    ifneq "$(ARCH)" "sparc"
+      RUN_SMOKETEST=y
+    else
+      RUN_SMOKETEST=n
+    endif
     ifneq (,$(findstring $(ARCH),$(OOO_STLPORT_ARCHS)))
       RUN_SUBSEQUENT_TESTS=y
     else
@@ -257,12 +250,19 @@
   ENABLE_REPORTDESIGN=n
   ENABLE_MEDIAWIKI=n
 endif
-ENABLE_SDBC_POSTGRESQL=y
+ENABLE_SDBC_POSTGRESQL=n
 ENABLE_MINIMIZER=y
 ENABLE_PRESENTER_CONSOLE=y
 ENABLE_PDFIMPORT=y
 BUILD_GTK=y
-ENABLE_EVO2=n
+ENABLE_EVO2=y
 ENABLE_GVFS=y
 ENABLE_GCONF=y
 # broken!
+ENABLE_GIO=n
+ENABLE_RANDR=y
+ENABLE_LAYOUT=n
+ifeq "$(BUILD_GTK)" "y"
+  PACKAGE_NPSOPLUGIN=y
+endif
+PACKAGE_BASE=y
